Issuer metadata
Retrieve issuer metadata
Returns OID4VCI issuer metadata. This is the standard OID4VCI Well Known endpoint for your tenant.
This endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party wishing to discover the OID4VCI capabilities.
OID4VCI credential issuer metadata retrieved
application/json- response
issuer?stringuriauthorization_endpoint?stringurijwks_uri?stringuritoken_endpoint?stringuriscopes_supported?array<string>response_types_supported?array<string>response_modes_supported?array<string>grant_types_supported?array<string>code_challenge_methods_supported?array<string>credential_issuer?stringuricredential_endpoint?stringuricredentials_supported?array<|||>DeprecatedThis field is deprecated and maintained only for backward compatibility.
Use credential_configurations_supported instead to discover supported credentials.
Refer to the OID4VCI v1.0 alignment changelog entry.
credential_configurations_supported?Supported credential configurations.
mdoc_iacas_uri?stringuricredential_response_encryption?Declares the issuer's ability to encrypt credential responses. When configured, MATTR VII can encrypt credential responses to specific wallet instances using encryption keys provided by the wallet application. This provides end-to-end encryption ensuring that credential data remains confidential and unreadable to intermediary backend servers.
credential_request_encryption?Declares the issuer's ability to receive and decrypt credential requests. When configured, wallet applications can encrypt credential requests to ensure sensitive information in the request is protected in transit. MATTR VII will decrypt the request as part of the issuance flow and enforce the configured encryption policies.
curl --request GET \ --url https://{tenantName}.{region}.mattr.global/.well-known/openid-credential-issuer \ --header 'Accept: application/json'{ "issuer": "http://example.com", "authorization_endpoint": "http://example.com", "jwks_uri": "http://example.com", "token_endpoint": "http://example.com", "scopes_supported": [ "ldp_vc:ExampleCredential" ], "response_types_supported": [ "code" ], "response_modes_supported": [ "query" ], "grant_types_supported": [ "authorization_code" ], "code_challenge_methods_supported": [ "S256" ], "credential_issuer": "http://example.com", "credential_endpoint": "http://example.com", "credentials_supported": [ { "format": "ldp_vc", "id": "string", "scope": "string", "@context": [ "string" ], "type": [ "string" ], "credentialSubject": {}, "cryptographic_binding_methods_supported": [ "did:key", "mso" ], "cryptographic_suites_supported": [ "Ed25519Signature2018", "ES256" ] } ], "credential_configurations_supported": { "2cdb2c15-39a7-4556-abab-4515ce2d831b": { "format": "ldp_vc", "id": "2cdb2c15-39a7-4556-abab-4515ce2d831b", "scope": "ldp_vc:TestCredential", "credential_definition": { "@context": [ "https://www.w3.org/2018/credentials/v1", "https://schema.org" ], "type": [ "VerifiableCredential", "TestCredential" ] }, "credential_signing_alg_values_supported": [ "Ed25519Signature2018", "BbsSignatureProof2022" ], "cryptographic_binding_methods_supported": [ "did:key" ], "proof_types_supported": { "jwt": { "proof_signing_alg_values_supported": [ "EdDSA" ] } }, "credential_metadata": { "display": [ { "name": "Test Credential", "logo": { "uri": "https://example.com/logo.png", "alt_text": "Example Logo" }, "locale": "en-US", "background_color": "#FFFFFF", "text_color": "#000000" } ], "claims": [ { "path": [ "credentialSubject", "firstName" ], "mandatory": true, "display": [ { "name": "First Name", "locale": "en-US" } ] } ] } }, "3dfe1c4a-5b6c-4e2f-9f3a-2b1c4d5e6f7g": { "format": "cwt_vc", "id": "3dfe1c4a-5b6c-4e2f-9f3a-2b1c4d5e6f7g", "scope": "cwt_vc:TestCredential", "types": [ "VerifiableCredential", "TestCredential" ], "cryptographic_binding_methods_supported": [], "credential_signing_alg_values_supported": [ -7 ], "credential_metadata": { "claims": [ { "path": [ "vc", "credentialSubject", "firstName" ], "mandatory": true, "display": [ { "name": "First Name", "locale": "en-US" } ] } ] } }, "b068c060-cc72-4758-9526-92d29edb821f": { "format": "cwt", "id": "b068c060-cc72-4758-9526-92d29edb821f", "scope": "cwt:TestCredential", "type": "TestCredential", "cryptographic_binding_methods_supported": [], "credential_signing_alg_values_supported": [ -7 ], "credential_metadata": { "claims": [ { "path": [ "firstName" ], "mandatory": true, "display": [ { "name": "First Name", "locale": "en-US" } ] } ] } }, "a1b2c3d4-e5f6-4789-abcd-ef0123456789": { "format": "mso_mdoc", "doctype": "org.iso.18013.5.1.mDL.T", "scope": "mso_mdoc:TestCredential", "id": "a1b2c3d4-e5f6-4789-abcd-ef0123456789", "cryptographic_binding_methods_supported": [ "mso" ], "credential_signing_alg_values_supported": [ -7 ], "proof_types_supported": { "jwt": { "proof_signing_alg_values_supported": [ "ES256" ] } }, "credential_metadata": { "claims": [ { "path": [ "org.iso.18013.5.1", "firstName" ], "mandatory": true, "display": [ { "name": "First Name", "locale": "en-US" } ] } ], "display": [ { "name": "Test Mobile Credential", "logo": { "uri": "https://example.com/logo.png", "alt_text": "Example Logo" }, "locale": "en-US", "background_color": "#FFFFFF", "text_color": "#000000" } ] } } }, "mdoc_iacas_uri": "http://example.com", "credential_response_encryption": { "alg_values_supported": [ "HPKE-7" ], "enc_values_supported": [ "A256GCM" ], "encryption_required": false }, "credential_request_encryption": { "jwks": { "keys": [ { "kty": "EC", "kid": "kid", "use": "enc", "crv": "P-256", "alg": "HPKE-7", "x": "YO4epjifD-KWeq1sL2tNmm36BhXnkJ0He-WqMYrp9Fk", "y": "Hekpm0zfK7C-YccH5iBjcIXgf6YdUvNUac_0At55Okk" } ] }, "enc_values_supported": [ "A256GCM" ], "encryption_required": false }}How would you rate this page?
Last updated on